﻿#language: ru

Функционал: Подготовка и запуск обработки Рабочее место мастера смены

Сценарий: Подготовка к запуску обработки Рабочее место мастера смены
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' |  'Способ создания' | 'Статус'    |
		| '01.11.2018' | 'milk_prod_ПАЦ' |  'Создан вручную'  | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И в поле 'от' я ввожу текст '01.11.2018 14:17:03'
	И я перехожу к следующему реквизиту
	И в поле 'Номер' я ввожу текст '0000-000005'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Переработка *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'            | 'Рабочий центр'    | 'Смена'   | 'Способ создания'      | 'Статус' |
		| '01.11.2018' | 'milk_prod_Мастер сырцеха' | 'milk_prod_Сырцех' | 'Смена24' | 'Наборка по рецептуре' | 'Начат'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И в поле 'от' я ввожу текст '01.11.2018 14:51:13'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка * от * *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'            | 'Рабочий центр'    | 'Смена'   | 'Способ создания'      | 'Статус'    |
		| '01.11.2018' | 'milk_prod_Мастер сырцеха' | 'milk_prod_Сырцех' | 'Смена24' | 'Наборка по рецептуре' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И в поле 'от' я ввожу текст '01.11.2018 15:01:24'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка * от * *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Запуск обработки Рабочее место мастера смены
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку с подчиненными:
		| 'Вид РЦ / РЦ' 	 |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 	 | 'Статус'      |
		| 'milk_prod_Сырцех' | 'Не закрыта' |
	И я жду доступности элемента "Задание" в течение 10 секунд
	И я нажимаю на кнопку 'Задание'
	Тогда открылось окно 'Производственное задание 0000-*'
	И у элемента с именем "ДатаСмены" я жду значения "01.11.2018" в течение 10 секунд
	И Я закрываю окно 'Производственное задание 0000-*'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'КомандаОткрытьАнализВыходов'
	Тогда открылось окно 'Анализ выходов'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'                                            | 'Нужен прошлый период: Нет'                        | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''       | ''           |
		| ''                                                      | 'Период: 01.11.2018 - 01.11.2018'                  | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''       | ''           |
		| 'Отбор:'                                                | 'Рабочий центр выпуск В списке "milk_prod_Сырцех"' | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''       | ''           |
		| ''                                                      | ''                                                 | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''       | ''           |
		| 'Рабочий центр выпуск'                                  | 'Выпуск'                                           | ''                 | ''             | ''             | 'Расход материала' | ''                 | ''             | ''             | 'Процент выхода' | ''       | ''           |
		| 'Номенклатура выпуск, Ед. изм., Ед. изм. 1, Ед. изм. 2' | 'Количество'                                       | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Количество'       | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Норма'          | 'Факт'   | 'Отклонение' |
		| 'Серия выпуск'                                          | ''                                                 | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''       | ''           |
		| 'milk_prod_Сырцех'                                      | '257,60'                                           | '262,60'           | ''             | ''             | '257,60'           | '252,70'           | ''             | ''             | '101,94'         | '100,00' | '-1,94'      |
		| 'milk_prod_Сливочный 45% ГП, кг, , '                    | '257,60'                                           | '262,60'           | ''             | ''             | '257,60'           | '252,70'           | ''             | ''             | '101,94'         | '100,00' | '-1,94'      |
		| '4\01.11.18'                                            | '257,60'                                           | '262,60'           | ''             | ''             | '257,60'           | '252,70'           | ''             | ''             | '101,94'         | '100,00' | '-1,94'      |
		| 'Итого'                                                 | '257,60'                                           | '262,60'           | ''             | ''             | '257,60'           | '252,70'           | ''             | ''             | '101,94'         | '100,00' | '-1,94'      |
	И Я закрываю окно 'Анализ выходов'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '02.11.2018'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'КомандаОбновитьДеревоРабочиеЦентры'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 	 |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 	 | 'Статус'     |
		| 'milk_prod_Сырцех' | 'Не закрыта' |
	И я жду доступности элемента "Задание" в течение 10 секунд
	И я нажимаю на кнопку 'Задание'
	Тогда открылось окно 'Производственное задание (создание)'
	И Я закрываю окно 'Производственное задание (создание)'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиДиаграммаСтраницаОстатки" я выбираю точное значение 'Все'
	И в таблице "ДеревоОстаткиПрочее" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'milk_prod_Сырцех'            		|
	И я нажимаю на кнопку 'Указать выпуск'
	Тогда открылось окно 'Выпуск на milk_prod_Сырцех'
	И я нажимаю кнопку выбора у поля "Продукция"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на milk_prod_Сырцех'
	И в поле 'Количество' я ввожу текст '250,000'
	И из выпадающего списка "Вариант списания" я выбираю точное значение 'Не распределять'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я разворачиваю строку:
		| 'Склад / Номенклатура / Серия / Тара' |
		| '<ячейки не используются>'            |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '250,000'                     | '250,000'           | 'milk_prod_Сыворотка'                 | '<не используются>' |
	И я нажимаю на кнопку 'Указать выпуск'
	Тогда открылось окно 'Выпуск на milk_prod_Сырцех'
	И в поле 'Количество' я ввожу текст '256,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '506,000'                     | '506,000'           | 'milk_prod_Сыворотка'                 | '<не используются>' |
	И я нажимаю на кнопку 'Объединить партии'
	Тогда открылось окно 'Объединение партий milk_prod_Сыворотка'
	И представление элемента с именем "Количество" стало равно "506,000"
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '506,000'                     | '1 012,000'         | '506,000'           | 'milk_prod_Сыворотка'                 | '<не используются>' |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' |
		| 'кг'       | '506,000'                     | '506,000'           |
	И я нажимаю на кнопку 'Переместить'
	Тогда открылось окно 'Переместить milk_prod_Сыворотка / * до * с milk_prod_Сырцех'
	И я нажимаю кнопку выбора у поля "Получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить milk_prod_Сыворотка / * до * с milk_prod_Сырцех'
	И в поле 'Количество' я ввожу текст '200,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Количество расход' |
		| 'кг'       | '306,000'                     | '506,000'           | '200,000'           |
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Диаграмма'
	И я перехожу к закладке "Настройка"
	И я устанавливаю флаг 'Скрывать легенду'
	И я перехожу к закладке "Настройка"
	И я снимаю флаг 'Скрывать легенду'
	И я перехожу к закладке "Настройка"
	И я устанавливаю флаг 'Установить масштабирование диаграммы'
	И я перехожу к закладке "Настройка"
	И в поле 'ДиаграммаПредельноеЗначение' я ввожу текст '100'
	И я перехожу к закладке "Настройка"
	И я снимаю флаг 'Установить масштабирование диаграммы'
	И я перехожу к закладке "Настройка"
	И из выпадающего списка "ОстаткиДиаграммаСтраницаОстатки" я выбираю точное значение 'Все'
	И я устанавливаю флаг с именем 'ОтборТолькоСОстаткомОстаткиВсе'
	И я снимаю флаг с именем 'ОтборТолькоСОстаткомОстаткиВсе'
	И я устанавливаю флаг с именем 'ОтборТолькоСРасходомОстаткиВсе'
	И я снимаю флаг с именем 'ОтборТолькоСРасходомОстаткиВсе'
	И я нажимаю кнопку выбора у поля "ОтборСписокНоменклатураОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Закваска'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокНоменклатураОстаткиВсе"
	И я нажимаю кнопку выбора у поля "ОтборСписокХарактеристикаОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокХарактеристикаОстаткиВсе"
	И я нажимаю кнопку выбора у поля "ОтборСписокСерияОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '3'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокСерияОстаткиВсе"
	И я нажимаю кнопку выбора у поля "ОтборСписокСкладОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокСкладОстаткиВсе"
	И я нажимаю кнопку выбора у поля "ОтборСписокЯчейкаОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   | 'Вместимость в местах' | 'Описание'   | 'Склад'                      |
		| '1040011' | '1'                    | '1-04-001-1' | 'milk_prod_Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокЯчейкаОстаткиВсе"
	И я нажимаю кнопку выбора у поля "ОтборСписокТараОстаткиВсе"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'      		   | 'Штрих код'   |
		| 'milk_prod_Китаянка' | '07000000002' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку очистить у поля "ОтборСписокТараОстаткиВсе"
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'КомандаОбновитьДеревоРабочиеЦентры'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 	 |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 	 | 'Статус'     |
		| 'milk_prod_Сырцех' | 'Не закрыта' |
	И я перехожу к закладке "Баланс"
	И я нажимаю на кнопку 'Свести баланс'
	И я нажимаю на кнопку 'Открыть баланс жира и белка'
	Тогда открылось окно 'Баланс жира и белка'
	И Я закрываю окно 'Баланс жира и белка'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Сырье'
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' |   'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       |   'milk_prod_Смесь 45%'                 |
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' |  'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       |  '4 до 01.11.2018 0:00:00'             |
	И я нажимаю на кнопку 'Списать'
	Тогда открылось окно 'Списать'
	Тогда таблица "СписываемыеПартии" стала равной:
		| 'Тара' | 'Количество'  | 'Номенклатура'                        		   |
		| ''     | '696,400'     | 'milk_prod_Смесь 45% / 4 до 01.11.2018 0:00:00' |
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'Согласно спецификации'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я нажимаю на кнопку 'КомандаОткрытьАнализОстатковНаСкладахОстаткиВсе'
	Тогда открылось окно 'Анализ остатков на складах'
	И в табличном документе 'ОтчетТабличныйДокумент' я перехожу к ячейке "R11C5"
	И Я закрываю окно 'Анализ остатков на складах'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Выпуск"
	И в таблице "ДеревоРабочиеЦентры" я активизирую поле "Статус"
	И я нажимаю на кнопку 'Закрыть' 
	И в таблице "ДеревоРабочиеЦентры" у поля с именем "ДеревоРабочиеЦентрыСтатусСмены" я жду значения "Есть ошибки" в течение 5 секунд
	И я перехожу к закладке "Ошибки закрытия смены"
	И я жду, что в таблице "ОшибкиЗакрытияСмены" количество строк будет "равно" 1 в течение 10 секунд
	И Я закрываю окно 'Рабочее место мастера смены*'

Сценарий: Подготовка остатков для списания как суммы
	И В командном интерфейсе я выбираю 'Производство' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И в поле 'от' я ввожу текст '02.11.2018 11:44:31'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	  |
		| 'milk_prod_Танк №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '333456456'
	И в поле 'Дата выпуска' я ввожу текст '02.11.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '240,000'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюСкопировать' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '3355667566'
	И в поле 'Дата выпуска' я ввожу текст '02.11.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '210,000'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Инвентаризация *'
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: Проверка списания как суммы материалов
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '02.11.2018'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ'   |
		| 'milk_prod_ПАЦ' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'   | 'Статус'     |
		| 'milk_prod_ПАЦ' | 'Не закрыта' |
	И пауза 1
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И пауза 1
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'milk_prod_Танк №1'                   |
	И пауза 1
	И я нажимаю на кнопку 'Указать выпуск'
	Тогда открылось окно 'Выпуск на milk_prod_Танк №1'
	И я нажимаю кнопку выбора у поля "Продукция"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на milk_prod_Танк №1'
	И из выпадающего списка "Вариант списания" я выбираю точное значение 'Целиком по спецификации'
	И я нажимаю кнопку выбора у поля "Склад материалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	  |
		| 'milk_prod_Танк №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на milk_prod_Танк №1'
	И я устанавливаю флаг 'Количество как сумма материалов'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Изделия"
	И в таблице "ДеревоОстаткиИзделия" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| '450,000'                     | '450,000'           | 'milk_prod_Танк №1'                   |
	И Я закрываю окно 'Рабочее место мастера смены*'	

Сценарий: Проверка отборов на остатки
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И из выпадающего списка "ОтборВидРабочегоЦентра" я выбираю по строке 'milk_prod_сы'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 	 |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 	 | 'Статус'     |
		| 'milk_prod_Сырцех' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	Тогда элемент формы с именем "ОстаткиПолуфабрикатыСтраницаОстатки" стал равен 'Сырье'
	И из выпадающего списка "ОстаткиПолуфабрикатыСтраницаОстатки" я выбираю точное значение 'Все'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4'
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я устанавливаю флаг с именем 'ОтборТолькоСОстаткомОстаткиВсе'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 16 в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я устанавливаю флаг с именем 'ОтборПереданоВсе'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 4 в течение 10 секунд
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '306,000'                     | '506,000'           | '200,000'           | '3 до *'                              |
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я снимаю флаг с именем 'ОтборПереданоВсе'
	И я устанавливаю флаг с именем 'ОтборТолькоСРасходомОстаткиВсе'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 4 в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я устанавливаю флаг с именем 'ОтборТолькоСОтрицательнымОстаткомВсе'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 2 в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я снимаю флаг с именем 'ОтборТолькоСРасходомОстаткиВсе'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 2 в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я снимаю флаг с именем 'ОтборТолькоСОтрицательнымОстаткомВсе'
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я устанавливаю флаг с именем 'ОтборИспользованоВПроизводствеВсе'
	И я перехожу к закладке с именем "ГруппаУстановитьОтборОстаткиВсе"
	И я снимаю флаг с именем 'ОтборТолькоСОстаткомОстаткиВсе'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень4'
	И я жду, что в таблице "ДеревоОстаткиВсе" количество строк будет "равно" 5 в течение 10 секунд
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Количество приход' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '250,000'           | '250,000'           | '1 до *'                              |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Количество приход' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '256,000'           | '256,000'           | '2 до *'                              |
	И я закрыл все окна клиентского приложения

Сценарий: Проверка отображения вкладки баланса
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И из выпадающего списка "ОтборВидРабочегоЦентра" я выбираю по строке 'milk_prod_сы'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 	 |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'      		   | 'Статус'     |
		| 'milk_prod_Выпуск сыворотки' | 'Не закрыта' |
	И элемент формы "Баланс" существует и невидим на форме
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 		| 'Статус'     |
		| 'milk_prod_Сырцех'    | 'Не закрыта' |
	И элемент формы "Баланс" присутствует на форме
	И я закрыл все окна клиентского приложения

Сценарий: Перемещение тары в режиме всех остатков в РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены:*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ'   |
		| 'milk_prod_ПАЦ' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'   | 'Статус'     |
		| 'milk_prod_ПАЦ' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я разворачиваю строку:
		| 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' |
		| '239,000'                     | '357,000'           | '52,000'                       | '<Количество 1>'                | '72,000'             | '20,000'             | '<ячейки не используются>'            |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '126,000'                     | '244,000'           | '32,000'                       | '<Количество 1>'                | '52,000'             | '20,000'             | 'milk_prod_Сливочный 45%'             | 'Варка'          |
	И я нажимаю на кнопку с именем 'КомандаПереместитьОстаткиВсе'
	Тогда открылось окно 'Переместить * с milk_prod_Бассейн соления'
	И     элемент формы с именем "Количество" стал равен '126,000'
	И     элемент формы с именем "Количество1" стал равен '32,000'
	Затем Проверяю шаги на Исключение:
		|'И в поле "Количество" я ввожу текст "22"'|
	И Я закрываю окно 'Переместить * с milk_prod_Бассейн соления'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '124,000'                     | '124,000'           | '32,000'                       | '<Количество 1>'                | '32,000'             | '<Количество 1>'     | '01.11.2018/3'                        | 'Варка'          |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '124,000'                     | '124,000'           | '32,000'                       | '<Количество 1>'                | '32,000'             | '<Количество 1>'     | '07000000001'                         | 'Варка'          |
	И я нажимаю на кнопку с именем 'КомандаПереместитьОстаткиВсе'
	Тогда открылось окно 'Переместить milk_prod_Сливочный 45% / Варка / */3 с milk_prod_Бассейн соления'
	И я нажимаю кнопку выбора у поля с именем "СкладПолучатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить milk_prod_Сливочный 45% / Варка / */3 с milk_prod_Бассейн соления'
	И     элемент формы с именем "Количество" стал равен '124,000'
	И     элемент формы с именем "Количество1" стал равен '32,000'
	И я нажимаю на кнопку 'ОК'
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'  			 | 'Склад отправитель' 		   | 'Склад получатель'  		   | 'Способ создания' | 'Статус'    |
		| 'milk_prod_Мастер сырцеха' | 'milk_prod_Бассейн соления' | 'milk_prod_Бассейн соления 2' | 'Закрытие смены'  | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение *'
	Тогда элемент формы с именем "Статус" стал равен 'Выполнено'
	И     элемент формы с именем "СкладОтправитель" стал равен 'milk_prod_Бассейн соления'
	И     элемент формы с именем "СкладПолучатель" стал равен 'milk_prod_Бассейн соления 2'
	И     элемент формы с именем "ТипПеремещения" стал равен 'Перемещение'
	И     элемент формы с именем "Основание" стал равен ''
	Тогда в таблице "ТоварыПлан" количество строк "равно" 0
	И     элемент формы с именем "СписокТары" стал равен '07000000001'
	И     таблица "Товары" стала равной по шаблону:
		| 'N' | 'Количество' | 'Тара'        | 'Ед.' | 'Номенклатура'   	     | 'Количество 1' | 'Характеристика' | 'Серия' | 'В ед. хранения' | 'Количество 2' | 'Упаковочный лист' |
		| '1' | '124,000'    | '07000000001' | 'кг'  | 'milk_prod_Сливочный 45%' | '32,000, шт'   | 'Варка'          | '*/3'   | '124,000, кг'    | ''             | ''                 |
	И я закрываю окно 'Распоряжение на перемещение *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я закрываю окно 'Распоряжения на перемещение'
	И я закрыл все окна клиентского приложения

Сценарий: Перемещение россыпи в режиме всех остатков в РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ'   |
		| 'milk_prod_ПАЦ' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'   | 'Статус'     |
		| 'milk_prod_ПАЦ' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество начальный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| '450,000'                     | '450,000'                      | ''                  | 'milk_prod_Танк №1'                   |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество начальный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| '450,000'                     | '450,000'                      | ''                  | '<ячейки не используются>'            |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '450,000'                     | '450,000'                      | 'milk_prod_Смесь 45%'                 | '<не используются>' |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '450,000'                     | '450,000'                      | '1 до 02.11.2018 0:00:00'             |
	И я нажимаю на кнопку с именем 'КомандаПереместитьОстаткиВсе'
	Когда открылось окно 'Переместить milk_prod_Смесь 45% / * до * с milk_prod_Танк №1'
	И я нажимаю кнопку выбора у поля "Получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Танк №2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить milk_prod_Смесь 45% / * до * с milk_prod_Танк №1'
	И в поле 'Количество' я ввожу текст '1,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество начальный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '449,000'                     | '450,000'                      | '1,000'             | '1 до 02.11.2018 0:00:00'             |
	И я закрыл все окна клиентского приложения

Сценарий: Списание ПФ россыпи в режиме всех остатков РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 		|
		| 'milk_prod_Упаковка'  |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 		| 'Статус'     |
		| 'milk_prod_Упаковка'  | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество приход' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' |
		| '115,000'                     | '233,000'           | '118,000'           | '20'                           | '40'                 | '20'                 | 'milk_prod_Бассейн соления'           |
	И я нажимаю на кнопку с именем 'КомандаСписатьУсушкуОстаткиВсе'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество приход' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '120,000'           | '120,000'           | '<Количество 1>'               | '<Количество 1>'                | '20,000'             | '20,000'             | 'milk_prod_Сливочный 45%'             | 'Варка'          |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '113,000'                     | '113,000'           | '20,000'                       | '<Количество 1>'                | '20,000'             | '<Количество 1>'     | 'milk_prod_Российский 50%'            | 'Варка'          |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '124,000'                     | '124,000'           | '32,000'                       | '<Количество 1>'                | '32,000'             | '<Количество 1>'     | 'milk_prod_Сливочный 45%'             | 'Варка'          |
	И я нажимаю на кнопку с именем 'КомандаСписатьУсушкуОстаткиВсе'
	Затем я жду, что в сообщениях пользователю будет подстрока "нет остатков к списанию" в течение 10 секунд
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '124,000'                     | '124,000'           | '32,000'                       | '<Количество 1>'                | '32,000'             | '<Количество 1>'     | 'milk_prod_Сливочный 45%'             | 'Варка'          |
	И я закрыл все окна клиентского приложения

Сценарий: Списание ПФ с тары в режиме всех остатков РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		 |
		| 'milk_prod_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 		  |
		| 'milk_prod_Маркировка'  |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 		 | 'Статус'     |
		| 'milk_prod_Маркировка' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И я жду доступности элемента с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5' в течение 10 секунд
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество конечный остаток' | 'Количество приход' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '4,000'                       | '118,000'           | '114,000'           | '<Количество 1>'               | '<Количество 1>'                | '20,000'             | '20,000'             | 'milk_prod_Сливочный 45%'             | 'На созревании'  |
	И я нажимаю на кнопку с именем 'КомандаСписатьУсушкуОстаткиВсе'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество приход' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '118,000'           | '118,000'           | '<Количество 1>'               | '<Количество 1>'                | '20,000'             | '20,000'             | 'milk_prod_Сливочный 45%'             | 'На созревании'  |
	И я закрыл все окна клиентского приложения
  
Сценарий: Списание брака материалов в режиме всех остатков РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 		|
		| 'milk_prod_Упаковка'  |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 		| 'Статус'     |
		| 'milk_prod_Упаковка'  | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И я жду доступности элемента с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5' в течение 10 секунд
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5'
	Когда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-20,000'                     | '20,000'            | 'milk_prod_Пакет '                    | '<не используются>' |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиВсе'
	Тогда открылось окно 'Списать'
	Затем Проверяю шаги на Исключение:
		|'И из выпадающего списка "Вариант распределения" я выбираю точное значение "Брак"'|
	И я закрыл все окна клиентского приложения

Сценарий: Замена материала, проверка отсутствия замены для ПФ
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' 		|
		| 'milk_prod_Упаковка'  |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' 		| 'Статус'     |
		| 'milk_prod_Упаковка'  | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И я жду доступности элемента с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5' в течение 10 секунд
	И я нажимаю на кнопку с именем 'ДеревоОстаткиВсеКомандаРазвернутьУровень5'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-20,000'                     | '20,000'            | 'milk_prod_Пакет '                    | '<не используются>' |
	И я нажимаю на кнопку с именем 'КомандаЗаменитьМатериалОстаткиВсе'
	Тогда открылось окно 'Заменить материал'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'               			| 'Ед.' | 'Наименование'		 |
		| 'milk_prod_Упаковка для сыра' | 'шт'  | 'milk_prod_Пакет 2'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заменить материал'
	И в поле 'Количество' я ввожу текст '2,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-2,000'                      | '2,000'             | 'milk_prod_Пакет 2'                   | '<не используются>' |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'шт'       | '-18,000'                     | '18,000'            | 'milk_prod_Пакет '                    | '<не используются>' |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество приход' | 'Количество расход' | 'Количество1 конечный остаток' | 'Количество1 начальный остаток' | 'Количество1 приход' | 'Количество1 расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика' |
		| 'кг'       | 'шт'         | '120,000'           | '120,000'           | '<Количество 1>'               | '<Количество 1>'                | '20,000'             | '20,000'             | '01.11.2018/6'                        | 'Варка'          |
	И я нажимаю на кнопку с именем 'КомандаЗаменитьМатериалОстаткиВсе'
	Затем я жду, что в сообщениях пользователю будет подстрока "Выбранная партия не может быть заменена" в течение 10 секунд
	И я закрыл все окна клиентского приложения

Сценарий: Объединение партий в режиме всех остатков в РМ мастера
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ'      |
		| 'milk_prod_Сырцех' |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ'      | 'Статус'     |
		| 'milk_prod_Сырцех' | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Все'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' |
		| '1 733,184'                   | '1 733,184'                    | 'milk_prod_Сырцех'                    |
	И я нажимаю на кнопку с именем 'КомандаОбъединитьПартииОстаткиВсе'
	Затем я жду, что в сообщениях пользователю будет подстрока "Нельзя объединять партии разных номенклатур" в течение 10 секунд
	И в таблице "ДеревоОстаткиВсе" я разворачиваю строку:
		| 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' |
		| '1 733,184'                   | '1 733,184'                    | 'milk_prod_Сырцех'                    |
	И в таблице "ДеревоОстаткиВсе" я разворачиваю строку:
		| 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' |
		| '1 733,184'                   | '1 733,184'                    | '<ячейки не используются>'            |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество начальный остаток' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '1 253,000'                   | '1 253,000'                    | 'milk_prod_Смесь 50%'                 | '<не используются>' |
	И я нажимаю на кнопку с именем 'КомандаОбъединитьПартииОстаткиВсе'
	Тогда открылось окно 'Объединение партий milk_prod_Смесь 50%'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество начальный остаток' | 'Количество приход' | 'Количество расход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '1 253,000'                   | '1 253,000'                    | '1 253,000'         | '1 253,000'         | 'milk_prod_Смесь 50%'                 | '<не используются>' |
	И я закрыл все окна клиентского приложения
